@echo off

rem $Id: reinitializeDB.bat,v 1.1 2005/06/21 04:51:12 ramanathank Exp $
set SERVER_HOME=..

if "%JAVA_HOME%" == "" goto SET_DEF_JAVA

set JAVA=%JAVA_HOME%\bin\java
goto EXEC_TOOL

:SET_DEF_JAVA
set JAVA=java


:EXEC_TOOL
set DRIVER_CLASSES=%SERVER_HOME%\server\default\lib\mysql_connector.jar
set CLASS_PATH=%SERVER_HOME%\tools\utils.jar;%SERVER_HOME%\server\default\lib\AdventNetPersistence.jar;%SERVER_HOME%\server\default\deploy\jboss-jca.sar;%DRIVER_CLASSES%;%SERVER_HOME%\lib\AdventNetDeploymentSystem.jar

rem USAGE: java -cp %CLASS_PATH% java com.adventnet.db.tools.ReinitializeDB DSFILE <DS_FILE> DBADAPTER <db_adapter_class_name> SQLGENERATOR <sql_generator_class_name>

call ..\scripts\setcommonenv.bat
rem For MySQL
set JAVA_OPTS=-Ddb.home=%DB_HOME%
%JAVA% %JAVA_OPTS% -cp %CLASS_PATH% com.adventnet.db.tools.ReinitializeDB DSFILE %SERVER_HOME%\server\default\deploy\mysql-ds.xml DBADAPTER com.adventnet.db.adapter.mysql.MysqlDBAdapter SQLGENERATOR com.adventnet.db.adapter.mysql.MysqlSQLGenerator SERVERSTATUS com.adventnet.db.tools.ServerStatus

rem For Oracle
rem %JAVA% -cp %CLASS_PATH% com.adventnet.db.tools.ReinitializeDB DSFILE %SERVER_HOME%\server\default\deploy\oracle-ds.xml DBADAPTER com.adventnet.db.adapter.oracle.OracleDBAdapter SQLGENERATOR com.adventnet.db.adapter.oracle.OracleSQLGenerator SERVERSTATUS com.adventnet.db.tools.ServerStatus

rem For Firebird
rem %JAVA% -cp %CLASS_PATH% com.adventnet.db.tools.ReinitializeDB DSFILE %SERVER_HOME%\server\default\deploy\firebird-ds.xml DBADAPTER com.adventnet.db.adapter.firebird.FireBirdDBAdapter SQLGENERATOR com.adventnet.db.adapter.firebird.FireBirdSQLGenerator SERVERSTATUS com.adventnet.db.tools.ServerStatus

